# 手把手教你用vue+node+mongodb搭建一个小商城

### 文章教程
[vue商城专栏](https://www.jianshu.com/nb/14505636)

### 分支说明
- chapter3 什么是动态路由  
- chapter4 什么是嵌套路由
- chapter5 什么是编程式路由
- chapter6 什么是路由和命名视图
- chapter7 reset.css的引入及1px边框问题解决
- chapter8 手机适配问题之rem和lib-flexible
- chapter9 阿里巴巴矢量图库icon-font的运用
- chapter10 less的引用及公共变量的抽离
- chapter11 组件入门及写个首页头部组件
- chapter12 vue-awsome-swiper与轮播图组件
- chapter13 优化轮播图组件与vue深度处理器
- chapter14 商品推荐等模块及flex布局
- chapter15 axios的使用与数据的mock（1）
- chapter16 axios的使用与数据的mock（2）
- chapter17 将mock数据渲染到组件(列表渲染、模板语法、父子组件之间的传值)
- chapter18 首页图片懒加载
- chapter19 分类详情页之基本页面结构
- chapter20 分类详情页之数据渲染
- chapter21 分类详情页之better-scroll实现滚动
- chapter22 商品列表页之基本页面结构
- chapter23 父子组件之间的传值
- chapter24 商品列表页之数据渲染和传值
- chapter25 商品详情页
- chapter26 商品详情页之数据mock及优化
- [分类详情页之基本页面结构]()
- [分类详情页之数据渲染]()
- MongoDB的安装
- MongoDB服务的配置
- MongoDB基本语法
- Node


### 知识点梳理
- git学习
[git的学习](https://www.jianshu.com/p/6deca2cfc37a)

- flex布局
[商品推荐列表及flex布局](https://www.jianshu.com/p/d58bdcb54529)

- 项目初始化
[用vue-cli脚手架搭建一个新的vue项目](https://www.jianshu.com/p/0b91e9a05694)
[reset.css的引入及1px边框问题解决](https://www.jianshu.com/p/03172908d344)
[手机适配问题之rem和lib-flexible](https://www.jianshu.com/p/6edffcd890e9)
[阿里巴巴矢量图库icon-font的运用](https://www.jianshu.com/p/bfc035236d76)
[写个首页头部组件并引入less](https://www.jianshu.com/p/bdd4dd2c098b)

- v-router的讲解
[什么是动态路由](https://www.jianshu.com/p/f499d9f64958)
[什么是嵌套路由](https://www.jianshu.com/p/3036137769da)
[什么是编程式路由](https://www.jianshu.com/p/81ed5a90bb10)
[什么是路由和命名视图](https://www.jianshu.com/p/004b73f3f589)

- 轮播图的使用
[组件及运用组件创建一个头部组件](https://www.jianshu.com/p/aa6d64994379)
[轮播图组件及swiper的引入](https://www.jianshu.com/p/4f92c4461e3d)
[优化轮播图组件与vue深度处理器](https://www.jianshu.com/p/4f92c4461e3d)

- 数据mock及构建
[axios的使用与数据的mock(1)](https://www.jianshu.com/p/9b804ad87056)
[axios的使用与数据的mock(2)](https://www.jianshu.com/p/896f8127fe60)
将mock数据渲染到组件


### 交流扯谈
<img src="https://wx3.sinaimg.cn/mw1024/006pIwwKgy1frm9f1mghlj30e80e83yy.jpg" width="250px" height="250px" alt="weixin:Ewall1106"/>




















